// ECB/SIS Public License, version 1.0, document reference SIS/2001/116
//
// Copyright (c) 2001, European Central Bank. All rights reserved.
//
// Redistribution and use in source and binary forms,
// with or without modification, are permitted
// provided that the following conditions are met:
//
// Redistributions of source code must retain the above copyright notice,
// this list of conditions and the following disclaimer.
// Redistributions in binary form must reproduce the above copyright notice,
// this list of conditions and the following disclaimer in the documentation
// and/or other materials provided with the distribution.
// Neither the name of the European Central Bank
// nor the names of its contributors may be used to endorse or promote products
// derived from this software without specific prior written permission.
//
// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
// "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
// TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
// PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
// HOLDERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
// SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
// LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
// DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
// THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
// (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
// THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

package Int.ecb.gesmescb;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;

/* ***************************** Class ****************************** */

/**
 * Runs all available unit tests for {@link Int.ecb.gesmescb}
 * and its subpackages.
 * If you do not want to test subpackages, refer to {@link PackageTest}.
 *
 * @author
 * <A HREF="mailto:Bernhard.Bodenstorfer@ECB.int">Bernhard Bodenstorfer</A>
 *
 * @version @(#)$Id: PackageAllTest.java,v 1.1 2017/01/19 16:14:04 trainot Exp $
 */
public final class PackageAllTest extends TestCase {

	/* ====================== Constructors ====================== */

	public PackageAllTest ( final String name ) {
		super( name );
	}

	/* ===================== Public Methods ===================== */

	/**
	 * Assembles and returns a test suite for all
	 * the test methods of this test case.
	 *
	 * @return a non-null test suite
	 */
	public static Test suite () {
		final TestSuite suite = new TestSuite( PackageAllTest.class.getName() );
		suite.addTest( PackageTest.suite() );
		suite.addTest( Int.ecb.gesmescb.conversion.PackageTest.suite() );
		suite.addTest( Int.ecb.gesmescb.csv.PackageTest.suite() );
		suite.addTest( Int.ecb.gesmescb.database.PackageAllTest.suite() );
		suite.addTest( Int.ecb.gesmescb.edifact.PackageTest.suite() );
		suite.addTest( Int.ecb.gesmescb.error.PackageTest.suite() );
		suite.addTest( Int.ecb.gesmescb.essbase.PackageTest.suite() );
		suite.addTest( Int.ecb.gesmescb.event.PackageTest.suite() );
		suite.addTest( Int.ecb.gesmescb.fame.PackageTest.suite() );
		suite.addTest( Int.ecb.gesmescb.metabase.PackageTest.suite() );
		suite.addTest( Int.ecb.gesmescb.semanticchecker.PackageTest.suite() );
		suite.addTest( Int.ecb.gesmescb.sieve.PackageTest.suite() );
		suite.addTest( Int.ecb.gesmescb.sql.PackageTest.suite() );
		suite.addTest( Int.ecb.gesmescb.time.PackageTest.suite() );
		suite.addTest( Int.ecb.gesmescb.util.PackageTest.suite() );
		suite.addTest( Int.ecb.gesmescb.xml.PackageTest.suite() );
		return suite;
	}

	/**
	 * @param arg the array of argument {@link String}s.
	 */
	public static void main ( String[] arg ) {
		String[] testCaseName = {
			PackageAllTest.class.getName()
		};
		junit.textui.TestRunner.main( testCaseName );
	}
}
