// ECB/SIS Public License, version 1.0, document reference SIS/2001/116
//
// Copyright (C) 2004, European Central Bank. All rights reserved.
//
// Redistribution and use in source and binary forms,
// with or without modification, are permitted
// provided that the following conditions are met:
//
// Redistributions of source code must retain the above copyright notice,
// this list of conditions and the following disclaimer.
// Redistributions in binary form must reproduce the above copyright notice,
// this list of conditions and the following disclaimer in the documentation
// and/or other materials provided with the distribution.
// Neither the name of the European Central Bank
// nor the names of its contributors may be used to endorse or promote products
// derived from this software without specific prior written permission.
//
// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
// "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
// TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
// PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
// HOLDERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
// SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
// LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
// DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
// THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
// (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
// THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

package Int.ecb.gesmescb.edifact;

/* *************************** Interface **************************** */

/**
 * <p>Holds generally useful constants for the package
 * {@link Int.ecb.gesmescb.edifact}.
 *
 * @author
 * <a href="mailto:Bernhard.Bodenstorfer@ECB.int">Bernhard Bodenstorfer</a>
 *
 * @version @(#)$Id: Constants.java,v 1.1 2017/01/19 16:14:05 trainot Exp $
 */
interface Constants {

	/* ======================= Constants ======================== */

	/** Latin 1 encoding identifier */
	String ENCODING = "ISO8859-1";

	/** Interchange format name. */
	String
		GESMES_CB = "GESMES/CB",
		GESMES_TS = "GESMES/TS",
		SDMX_EDI = "SDMX-EDI";

	/** Attribute relates to a data set. */
	String DATA_SET_SCOPE = "1";

	/** Attribute relates to a series or sibling group. */
	String SERIES_OR_SIBLING_SCOPE = "4";

	/** Attribute relates to a single observation. */
	String OBSERVATION_SCOPE = "5";

	/** Attribute takes values from a code list. */
	String CODED = "Z10";

	/** Attribute takes free text values. */
	String UNCODED = "Z11";
}
