package Int.ecb.gesmescb.edifact;
import java.math.BigDecimal;
import java.text.DecimalFormat;

public class EDIFACTNumberTrimmer {
	private static String trim(String obsValue) {
		DecimalFormat scientificNotationDF = new DecimalFormat("##########.E0");
		scientificNotationDF.setMinimumIntegerDigits(12);
		double obsValueDouble;
		if (obsValue.length() > 15) {
			obsValueDouble = Double.parseDouble(obsValue);
			if (obsValueDouble > 99999999999999999999D) {
				scientificNotationDF = new DecimalFormat("#########.E0");
				scientificNotationDF.setMinimumIntegerDigits(11);
				obsValue = scientificNotationDF.format(obsValueDouble).toString();
				scientificNotationDF.setMinimumIntegerDigits(12);
				scientificNotationDF = new DecimalFormat("##########.E0");
	//			System.out.println("first");
			}
			else if (obsValueDouble > 999999999999999L) {
				obsValue = scientificNotationDF.format(obsValueDouble).toString();
	//			System.out.println("second");
			}
			else {
				if (obsValue.length() - obsValue.replace(".", "").replaceAll("^0+", "").length() > 5) {
					int counter = 15;
					while (obsValue.length() > 15 && counter > 0) {
						scientificNotationDF.setMinimumIntegerDigits(counter);
						obsValue = scientificNotationDF.format(obsValueDouble).toString();
						counter--;
					}
	//				System.out.println("third");
				}
				else {
					int counter = obsValue.length();
					BigDecimal roundedWithScale;
					while (obsValue.length() > 15 && counter > 0) {
						roundedWithScale = new BigDecimal(obsValueDouble).setScale(counter, BigDecimal.ROUND_HALF_UP);
						obsValue = roundedWithScale.toPlainString();	
						counter--;
					}	 					
	//				System.out.println("fourth");
				}
			}
	  }		
		return obsValue;
	}
	
	/**
	 * @param num number representation.
	 * @param max the maximal length the result should have.
	 * @return
	 */
	public static String trim2(String num, int max) {
	    num = num.replaceFirst("\\.0*$", "");
	    BigDecimal x = new BigDecimal(num);

	    // Large numbers - integral part
	    String bigI = x.toBigInteger().toString();
	    if (bigI.length() > max) {
	        int expon10 = bigI.length() - max - 1; // - 1 for E

	        // Digits after E:
	        if (expon10 == 0) {
	            ++expon10;
	        } else {
	            for (int p = expon10; p > 0; ++p) {
	                ++expon10;
	                p /= 10;
	            }
	        }
	        x = x.movePointLeft(expon10);
	        String plain = x.toPlainString().substring(0, max - 1 - expon10);
	        return plain + "E" + expon10;
	    }

	    // Tiny numbers - 0.000 (as E-1 already requires 3 positions)
	    String reprP = x.toPlainString();
	    if (reprP.startsWith("-0.00")) {
	        return trim2(num.substring(1), max - 1);
	    } else if (reprP.startsWith("0.00")) {
	        String reprE = x.toEngineeringString(); // Does most work.
	        int epos = reprE.indexOf('E');
	        String mantissa = reprE.substring(0, epos);
	        String exp = reprE.substring(epos);
	        return mantissa.substring(0, Math.min(epos, max - exp.length())) + exp;
	    }

	    // Normal range - assumed in format 123.456, integral part in range
	    String simple = x.toPlainString();
	    if (simple.length() > max) {
	        simple = simple.substring(0, max).replaceFirst("\\.0*$", "");
	    }
	    return simple;
	}	
}