#!/usr/bin/ksh

# Script to start the Java loader application

# Arguments
SOURCE_DB=$1
GESMESCB_FILE=$2
UPDATE_LIST=$3
DELETION_LIST=$4
LOG_FILE=$5

if [[ ! -r $UPDATE_LIST ]]
then
	UPDATE_LIST=""
fi

if [[ ! -r $DELETION_LIST ]]
then
	DELETION_LIST=""
fi

java -Xmx100m \
	-DInt.ecb.logging.config.class=Int.ecb.gesmescb.util.LoggingPropertiesReader \
	-DInt.ecb.logging.config.file=$PWD/fame_to_edifact.properties \
	-DInt.ecb.prefs.config.file=$PWD/fame_to_edifact.properties \
	-DInt.ecb.logging.FileHandler.pattern=$LOG_FILE \
	-DInt.ecb.gesmescb.fame.FAMEReader.dataReader.sourceDatabase=$SOURCE_DB \
	-DInt.ecb.gesmescb.fame.FAMEReader.dataReader.attributeDatabase=$SOURCE_DB \
	-DInt.ecb.gesmescb.fame.FAMEReader.dataReader.updateTimeSeriesKeyFile=$UPDATE_LIST \
	-DInt.ecb.gesmescb.fame.FAMEReader.dataReader.deleteTimeSeriesKeyFile=$DELETION_LIST \
	-DInt.ecb.gesmescb.edifact.EDIFACTWriter.destination=$GESMESCB_FILE \
	Int.ecb.gesmescb.application.BatchTextUI \
	escb.gsm \
	$SOURCE_DB


