// ECB/SIS Public License, version 1.0, document reference SIS/2001/116
//
// Copyright (c) 2003, European Central Bank. All rights reserved.
//
// Redistribution and use in source and binary forms,
// with or without modification, are permitted
// provided that the following conditions are met:
//
// Redistributions of source code must retain the above copyright notice,
// this list of conditions and the following disclaimer.
// Redistributions in binary form must reproduce the above copyright notice,
// this list of conditions and the following disclaimer in the documentation
// and/or other materials provided with the distribution.
// Neither the name of the European Central Bank
// nor the names of its contributors may be used to endorse or promote products
// derived from this software without specific prior written permission.
//
// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
// "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
// TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
// PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
// HOLDERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
// SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
// LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
// DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
// THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
// (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
// THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

package Int.ecb.gesmescb.xml;

/* *************************** Interface **************************** */

/**
 * <p>Holds generally useful constants for the package
 * {@link Int.ecb.gesmescb.xml}.
 *
 * @author
 * <A HREF="mailto:Bernhard.Bodenstorfer@ECB.int">Bernhard Bodenstorfer</A>
 *
 * @version @(#)$Id: Constants.java,v 1.1 2017/01/19 16:14:02 trainot Exp $
 */
interface Constants {

	/* ======================= Constants ======================== */

	/** XML schema instance namespace URI */
	final String XMLNS_XSI
	= "http://www.w3.org/2001/XMLSchema-instance";

	/** Gesmes/TS-XML namespace URI */
	final String XMLNS_GESMES
	= "http://www.gesmes.org/xml/2002-08-01";

	/** Gesmes/TS-XML EDIFACT extension namespace URI */
	final String XMLNS_EDIFACT
	= "http://www.gesmes.org/xml/edifact/2002-08-01";

	/** SDMX Case Study XML draft namespace URI */
	final String XMLNS_CASESTUDY
	= "http://www.SDMX.org/resources/SDMXML/schemas/draft/SDMXML";

	/** SDMX-ML version 1.0 message namespace URI */
	final String XMLNS_SDMX_MESSAGE_V1_0
	= "http://www.SDMX.org/resources/SDMXML/schemas/v1_0/message";

	/** SDMX-ML version 2.0 message namespace URI */
	final String XMLNS_SDMX_MESSAGE_V2_0
	= "http://www.SDMX.org/resources/SDMXML/schemas/v2_0/message";

	/** SDMX-ML version 2.1 message namespace URI */
	final String XMLNS_SDMX_MESSAGE_V2_1
	= "http://www.sdmx.org/resources/sdmxml/schemas/v2_1/message";

	/** SDMX-ML version 2.1 common namespace URI */
	final String XMLNS_SDMX_COMMON_V2_1
	= "http://www.sdmx.org/resources/sdmxml/schemas/v2_1/common";

	/** SDMX-ML version 2.1 data structurespecific namespace URI */
	final String XMLNS_SDMX_DATA_STRUCTURESPECIFIC_V2_1
	= "http://www.sdmx.org/resources/sdmxml/schemas/v2_1/data/structurespecific";

	/** SDMX-ML version 1.0 structure namespace URI */
	final String XMLNS_SDMX_STRUCTURE_V1_0
	= "http://www.SDMX.org/resources/SDMXML/schemas/v1_0/structure";

	/** SDMX-ML version 2.0 structure namespace URI */
	final String XMLNS_SDMX_STRUCTURE_V2_0
	= "http://www.SDMX.org/resources/SDMXML/schemas/v2_0/structure";

	/** SDMX-ML version 2.1 structure namespace URI */
	final String XMLNS_SDMX_STRUCTURE_V2_1
	= "http://www.sdmx.org/resources/sdmxml/schemas/v2_1/structure";
}
