package Int.ecb.gesmescb.xml.sdmx.v2;

import org.xml.sax.XMLReader;

import Int.ecb.gesmescb.KeyFamily;
import Int.ecb.gesmescb.xml.SAX2Reader;

/**
 * Base implementation of a key fammily-dependent SDMX-ML Data reader. 
 * 
 * @author Francois Hoeltzli
 * @author Xavier Sosnovsky
 */
public class KeyFamilyDependentReader extends SAX2Reader {
    
    /* ========================= Fields ========================= */
    
    protected KeyFamily keyFamily;

    /* ====================== Constructors ====================== */
    
    /**
     * Constructs a new KeyFamilyDependentReader.
     * 
     * @param parser The parser of the XML document
     * @param parent The class responsible for handling content
     */
    public KeyFamilyDependentReader(final XMLReader parser, 
        final SAX2Reader parent) {
        super(parser, parent);
    }

    /* ===================== Public Methods ===================== */
    
    /** Set the data structure. */
    public void setKeyFamily ( final KeyFamily keyFamily ) {
        this.keyFamily = keyFamily;
    }
}
