package Int.ecb.gesmescb.xml.sdmx.v2.compact;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;

public class PackageTest extends TestCase {
    /* ====================== Constructors ====================== */

    public PackageTest( final String name ) {
        super( name );
    }

    /* ===================== Public Methods ===================== */

    /**
     * Assembles and returns a test suite for all
     * the test methods of this test case.
     *
     * @return a non-null test suite
     */
    public static Test suite () {
        final TestSuite suite = new TestSuite( PackageTest.class.getName() );
        suite.addTest( CompactReaderTest.suite() );
        suite.addTest( GroupReaderTest.suite() );
        suite.addTest( HeaderReaderTest.suite() );
        suite.addTest( TimeSeriesReaderTest.suite() );
        suite.addTest( HeaderReader21Test.suite() );
        suite.addTest( StructureSpecificReaderTest.suite() );

        return suite;
    }

    /**
     * @param arg the array of argument {@link String}s.
     */
    public static void main ( final String[] arg ) {
        final String[] testCaseName = { PackageTest.class.getName() };
        junit.textui.TestRunner.main( testCaseName );
    }
}
